#
# spec file for package obs-service-kiwi_import
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define service kiwi_import

Name:           obs-service-%{service}
Version:        0.1+git20171218.44852ec
Release:        2.19
Summary:        An OBS source service: Support import of a generic kiwi archive 
License:        GPL-2.0+
Group:          Development/Tools/Building
Url:            https://github.com/openSUSE/obs-service-%{service}
Source:         %{name}-%{version}.tar.bz2
Requires:       ruby(abi) >= 2.0
Requires:       tar
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
This is a source service for openSUSE Build Service.

It supports the import of a generic kiwi archive.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_prefix}/lib/obs/service
install -m 0755 kiwi_import %{buildroot}%{_prefix}/lib/obs/service
install -m 0644 kiwi_import.service %{buildroot}%{_prefix}/lib/obs/service

install -d %{buildroot}%{_prefix}/lib/obs/service/KiwiImport/lib/
install -m 644 -D KiwiImport/lib/*.rb %{buildroot}%{_prefix}/lib/obs/service/KiwiImport/lib/
install -d %{buildroot}%{_prefix}/lib/obs/service/KiwiImport/config/
install -m 644 -D KiwiImport/config/*.yml %{buildroot}%{_prefix}/lib/obs/service/KiwiImport/config/

%files
%defattr(-,root,root)
%dir %{_prefix}/lib/obs
%dir %{_prefix}/lib/obs/service
%{_prefix}/lib/obs/service/kiwi_import
%{_prefix}/lib/obs/service/kiwi_import.service
%{_prefix}/lib/obs/service/KiwiImport

%changelog
* Mon Dec 18 2017 opensuse-packaging@opensuse.org
- Update to version 0.1+git20171218.44852ec:
  * Use UTF-8 encoding
* Tue Dec 12 2017 opensuse-packaging@opensuse.org
- Update to version 0.1+git20171212.c565f01:
  * Fix RepositoryReplacer for SLES
* Wed Dec  6 2017 opensuse-packaging@opensuse.org
- Update to version 0.1+git20171206.97976e7:
  * Fix order of HttpKiwiRepositoryOrderer call
* Fri Dec  1 2017 opensuse-packaging@opensuse.org
- Update to version 0.1+git20171130.56ff0b2:
  * Return self on create_import!
  * Prepend lib directory
  * Get rid of abort
  * Raise MissingArgument error
  * Include all files and folders to root.tar
  * Add SLE12 SP2 repositories
  * Inject current directory to KiwiArchiveFinder
  * Use RuntimeError instead SystemExit
  * Extract RepositoryOrderer classes
  * Add webmock for testing HTTP requests
  * Extract RepositoryAppender class
  * Move is_sle? method to KiwiArchive class
  * Move repository_map to a config file
  * Introduce KiwiImport directory structure
  * Extract SleRepositoryReplacer class
  * Extract KiwiArchive class
  * Extract KiwiArchiveFinder class
  * Run rspec in Travis
  * Add rspec configuration
  * Add configuration for Travis CI
  * Add rspec for testing
* Mon Sep 25 2017 adrian@suse.de
- Update to version 0.1+git20170925.17cc832:
  * Replace yast2 repository type with rpm-md
* Fri Sep 22 2017 adrian@suse.de
- Update to version 0.1+git20170922.bb24715:
  * Implement initial SLE support
  * Add README.md file
* Mon Jan 16 2017 adrian@suse.de
- build requires shall be requires actually
* Thu Oct 27 2016 opensuse-packaging@opensuse.org
- Update to version 0.1+git20161026.c5054e5:
* Thu Jan  7 2016 cbruckmayer@suse.com
- Initial import
